pushd
@echo off
echo Assembling BARBIE...
cd \gamegear\barbie\code\main
asm80 barbie
IF ERRORLEVEL 1 GOTO ERR

echo Assembling SEGA...
cd \gamegear\barbie\code\init
asm80 sega
IF ERRORLEVEL 1 GOTO ERR

echo Assembling B_GFX_13...
cd \gamegear\barbie\code\gfx
asm80 b_gfx_13
IF ERRORLEVEL 1 GOTO ERR

echo Assembling B_GFX_11...
cd \gamegear\barbie\code\gfx
asm80 b_gfx_11
IF ERRORLEVEL 1 GOTO ERR

echo Assembling B_GFX_1...
cd \gamegear\barbie\code\gfx
asm80 b_gfx_1
IF ERRORLEVEL 1 GOTO ERR

echo Assembling B_GFX_2...
cd \gamegear\barbie\code\gfx
asm80 b_gfx_2
IF ERRORLEVEL 1 GOTO ERR

echo Assembling B_GFX_3...
cd \gamegear\barbie\code\gfx
asm80 b_gfx_3
IF ERRORLEVEL 1 GOTO ERR

echo Assembling B_GFX_4...
cd \gamegear\barbie\code\gfx
asm80 b_gfx_4
IF ERRORLEVEL 1 GOTO ERR

echo Assembling B_GFX_5...
cd \gamegear\barbie\code\gfx
asm80 b_gfx_5
IF ERRORLEVEL 1 GOTO ERR

echo Assembling B_GFX_6...
cd \gamegear\barbie\code\gfx
asm80 b_gfx_6
IF ERRORLEVEL 1 GOTO ERR

echo Assembling B_GFX_7...
cd \gamegear\barbie\code\gfx
asm80 b_gfx_7
IF ERRORLEVEL 1 GOTO ERR

echo Assembling B_GFX_8...
cd \gamegear\barbie\code\gfx
asm80 b_gfx_8
IF ERRORLEVEL 1 GOTO ERR

echo Assembling B_GFX_9...
cd \gamegear\barbie\code\gfx
asm80 b_gfx_9
IF ERRORLEVEL 1 GOTO ERR

echo Assembling B_GFX_10...
cd \gamegear\barbie\code\gfx
asm80 b_gfx_10
IF ERRORLEVEL 1 GOTO ERR

echo Assembling B_GFX_12...
cd \gamegear\barbie\code\gfx
asm80 b_gfx_12
IF ERRORLEVEL 1 GOTO ERR

echo Assembling OBJECTS...
cd \gamegear\barbie\code\objects
asm80 objects
IF ERRORLEVEL 1 GOTO ERR

rem LINKING:
@echo linking now...
call ddl.bat 
echo
popd	

:ERR
BEEP /F400 /D2 /W1 /R3
:END
